/*
 * This file is a part of KleanSweep.
 *
 * Copyright (C) 2005 Pawel Stolowski <pawel.stolowski@wp.pl>
 *
 * KleanSweep is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include "fileviewitemtarget.h"
#include "filelistview.h"
#include <kglobal.h>
#include <klocale.h>

FileViewItemTarget::FileViewItemTarget(FileListView *parent, SweepFileInfo *f): FileViewItem(parent, f)
{
}

FileViewItemTarget::FileViewItemTarget(FileViewItem *parent, SweepFileInfo *f): FileViewItem(parent, f)
{
}

FileViewItemTarget::~FileViewItemTarget()
{
}

void FileViewItemTarget::setColumns()
{
	if (finfo)
	{
		int i = 0;
		QString target = finfo->getTarget();
		setPixmap(i, finfo->pixmap(16));
		setText(i++, finfo->name());
		setText(i++, finfo->url().directory());
		setText(i++, finfo->getTarget());
		setText(i++, KGlobal::locale()->formatNumber(finfo->size(), 0));
		setText(i++, finfo->timeString());
		setText(i++, finfo->permissionsString());
		setText(i++, finfo->user());
		setText(i++, finfo->group());
		setOn(finfo->isMarkedForRemoval());
	}
}

